Name:           qwhitesurgtkdecorations
Version:        0.1.0
Release:        1%{?dist}
Summary:        Qt decoration plugin implementing WhiteSur-gtk-like client-side decorations
License:        LGPL-2.1-or-later
URL:            https://github.com/FengZhongShaoNian/QWhiteSurGtkDecorations
Source0:        %{url}/archive/%{version}/QWhiteSurGtkDecorations-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  qt5-qtwayland-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt6-qtwayland-devel
BuildRequires:  qt6-qtsvg-devel
BuildRequires:  make

%description
QWhiteSurGtkDecorations is a Qt decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%prep
%autosetup -n %{name}-%{version}

%build
# Build for Qt5
mkdir -p build-qt5
cd build-qt5
cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DHAS_QT6_SUPPORT=true -DUSE_QT6=false
make

# Build for Qt6
mkdir -p build-qt6
cd build-qt6
cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DUSE_QT6=true
make

%install
# Install Qt5 package
cd build-qt5
make DESTDIR=%{buildroot} install

# Install Qt6 package
cd build-qt6
make DESTDIR=%{buildroot} install

%files
%{_libdir}/qt5/plugins/*/libqwhitesurgtkdecorations.so
%{_libdir}/qt6/plugins/*/libqwhitesurgtkdecorations.so

%changelog
* Wed Nov 13 2024 Alexandra Travkina <kodersha@icloud.com> - 0.1.0-1
- Initial package
